summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorJoe <bousset.rudy@gmail.com>2022-05-19 11:09:47 +0200
committerJoe <bousset.rudy@gmail.com>2022-05-19 11:09:47 +0200
commit97b329266449d5d6a8808c5c2843b7f99eddbb0c (patch)
treec9bc508f319bab091dedd66db17cab59baedf38c
parentthis func rules (diff)
downloaddotfiles-bsd-97b329266449d5d6a8808c5c2843b7f99eddbb0c.tar.gz
dotfiles-bsd-97b329266449d5d6a8808c5c2843b7f99eddbb0c.tar.bz2
dotfiles-bsd-97b329266449d5d6a8808c5c2843b7f99eddbb0c.tar.xz
dotfiles-bsd-97b329266449d5d6a8808c5c2843b7f99eddbb0c.tar.zst
dotfiles-bsd-97b329266449d5d6a8808c5c2843b7f99eddbb0c.zip
Fuck yes what did I do with my life yet
-rw-r--r--.config/zsh/alias.zsh10
1 files changed, 8 insertions, 2 deletions
diff --git a/.config/zsh/alias.zsh b/.config/zsh/alias.zsh
index 90c923d..b184110 100644
--- a/.config/zsh/alias.zsh
+++ b/.config/zsh/alias.zsh
@@ -75,12 +75,18 @@ alias \
gpp='git push' \
gpo='git push origin' \
gl="git log --graph --format=format:'%C(yellow)%h %C(bold blue)%ah %C(bold green)(%ar)%C(bold yellow)%d%C(reset)%n%s %C(dim white)- %an <%ae>%C(reset)' --all" \
- dgl="dgit log --graph --format=format:'%C(yellow)%h %C(bold blue)%ah %C(bold green)(%ar)%C(bold yellow)%d%C(reset)%n%s %C(dim white)- %an <%ae>%C(reset)' --all"
+ dgl="dgit log --graph --format=format:'%C(yellow)%h %C(bold blue)%ah %C(bold green)(%ar)%C(bold yellow)%d%C(reset)%n%s %C(dim white)- %an <%ae>%C(reset)' --all" \
+ dgst="dgit status"
gg() {
git add .
- git commit -m "$*"
+ git commit -m "$*" || return 1
git push
}
+dgg() {
+ dgit add -u
+ dgit commit -m "$*" || return 1
+ dgit push
+}
alias \
srcnt='find . -type f -name "*.c" -exec cat {} \; | sed "/^\//d" | sed "/^\*/d" | sed "/^ \*/d" | sed "/^\/\//d" | sed "/^$/d" | wc -l | tr -d " "' \
v='nvim $(fzf --preview="head -$FZF_PREVIEW_LINES {}")' \